## org.red5.server.stream
Interface ClientBroadcastStreamMBean

All Known Implementing Classes:
  ClientBroadcastStream

    public interface ClientBroadcastStreamMBean

Represents live stream broadcasted from client. As Flash Media Server, Red5 supports recording mode for live streams, that is, broadcasted stream has broadcast mode. It can be either "live" or "record" and latter causes server-side application to record broadcasted stream. Note that recorded streams are recorded as FLV files. The same is correct for audio, because NellyMoser codec that Flash Player uses prohibits on-the-fly transcoding to audio formats like MP3 without paying of licensing fee or buying SDK. This type of stream uses two different pipes for live streaming and recording.

Method Summary
`void` `close()`
`IProvider` `getProvider()`
`String` `getPublishedName()`
`String` `getSaveFilename()`
`void` `saveAs(String name, boolean isAppend)`
`void` `setPublishedName(String name)`
`void` `start()`
`void` `startPublishing()`
`void` `stop()`

Method Detail

### start

    void start()

### startPublishing

    void startPublishing()

### stop

    void stop()

### close

    void close()

### saveAs

    void saveAs(String name,
                boolean isAppend)
                throws IOException,
                       ResourceNotFoundException,
                       ResourceExistException

  Throws:
    `IOException`
    `ResourceNotFoundException`
    `ResourceExistException`

### getSaveFilename

    String getSaveFilename()

### getProvider

    IProvider getProvider()

### getPublishedName

    String getPublishedName()

### setPublishedName

    void setPublishedName(String name)

Copyright © 2006-2010 The Red5 Project